Rudiments: character Class Reference

Rudiments

Static Public Member Functions | List of all members
character Class Reference

## Static Public Member Functions
static bool | isAlphanumeric (int32_t c)
static bool | isAlphabetical (int32_t c)
static bool | isAlphabeticalExtended (int32_t c)
static bool | isLowerCase (int32_t c)
static bool | isLowerCaseExtended (int32_t c)
static bool | isUpperCase (int32_t c)
static bool | isUpperCaseExtended (int32_t c)
static bool | isPunctuation (int32_t c)
static bool | isPrintable (int32_t c)
static bool | isPrintableNonSpace (int32_t c)
static bool | isControlCharacter (int32_t c)
static bool | isDigit (int32_t c)
static bool | isHexDigit (int32_t c)
static bool | isBlank (int32_t c)
static bool | isWhitespace (int32_t c)
static bool | isAscii (int32_t c)
static int32_t | toUpperCase (int32_t c)
static int32_t | toLowerCase (int32_t c)
static int32_t | toAscii (int32_t c)
static bool | inSet (char c, const char *set)

## Detailed Description

The character class provides static methods for evaluating and manipulating ascii characters.

## Member Function Documentation

## ◆ inSet()

static bool character::inSet | ( | char | c,
|  | const char * | set
| ) |  |
| static

Returns true if "c" is in the set of characters in "set" and false otherwise.

## ◆ isAlphabetical()

static bool character::isAlphabetical | ( | int32_t | c | ) |
| static

Returns true if "c" is alphabetical character and false otherwise.

## ◆ isAlphabeticalExtended()

static bool character::isAlphabeticalExtended | ( | int32_t | c | ) |
| static

Returns true if "c" is alphabetical character, including accented alphabetical characters from the extended ascii character set, and false otherwise.

## ◆ isAlphanumeric()

static bool character::isAlphanumeric | ( | int32_t | c | ) |
| static

Returns true if "c" is an alphanumeric character and false otherwise.

## ◆ isAscii()

static bool character::isAscii | ( | int32_t | c | ) |
| static

Returns true if "c" is one of the values in the ascii character set or false otherwise.

## ◆ isBlank()

static bool character::isBlank | ( | int32_t | c | ) |
| static

Returns true if "c" is a space or tab and false otherwise.

## ◆ isControlCharacter()

static bool character::isControlCharacter | ( | int32_t | c | ) |
| static

Returns true if "c" is a control character and false otherwise.

## ◆ isDigit()

static bool character::isDigit | ( | int32_t | c | ) |
| static

Returns true if "c" is a digit and false otherwise.

## ◆ isHexDigit()

static bool character::isHexDigit | ( | int32_t | c | ) |
| static

Returns true if "c" is a hexadecimal digit and false otherwise.

## ◆ isLowerCase()

static bool character::isLowerCase | ( | int32_t | c | ) |
| static

Returns true if "c" is lower case and false otherwise.

## ◆ isLowerCaseExtended()

static bool character::isLowerCaseExtended | ( | int32_t | c | ) |
| static

Returns true if "c" is lower case, including accented alphabetical characters from the extended ascii character set, and false otherwise.

## ◆ isPrintable()

static bool character::isPrintable | ( | int32_t | c | ) |
| static

Returns true if "c" is a printable character and false otherwise.

## ◆ isPrintableNonSpace()

static bool character::isPrintableNonSpace | ( | int32_t | c | ) |
| static

Returns true if "c" is a printable character other than a space and false otherwise.

## ◆ isPunctuation()

static bool character::isPunctuation | ( | int32_t | c | ) |
| static

Returns true if "c" is a printable character that is not a space or alphanumeric character and false otherwise.

## ◆ isUpperCase()

static bool character::isUpperCase | ( | int32_t | c | ) |
| static

Returns true if "c" is upper case and false otherwise.

## ◆ isUpperCaseExtended()

static bool character::isUpperCaseExtended | ( | int32_t | c | ) |
| static

Returns true if "c" is upper case, including accented alphabetical characters from the extended ascii character set, and false otherwise.

## ◆ isWhitespace()

static bool character::isWhitespace | ( | int32_t | c | ) |
| static

Returns true if "c" is any whitespace character and false otherwise.

## ◆ toAscii()

static int32_t character::toAscii | ( | int32_t | c | ) |
| static

Converts "c" to a 7-bit value by clearing the higher order bits.

## ◆ toLowerCase()

static int32_t character::toLowerCase | ( | int32_t | c | ) |
| static

Returns the lower case version of "c".

## ◆ toUpperCase()

static int32_t character::toUpperCase | ( | int32_t | c | ) |
| static

Returns the upper case version of "c".